from typing import TYPE_CHECKING
import pytest

if TYPE_CHECKING:
    from _pytest.mark.structures import ParameterSet


def connector_parameter(connector: str) -> "ParameterSet":
    return pytest.param(connector, marks=pytest.mark.connector_only(connector))
